<?php

$path =  $_SERVER["DOCUMENT_ROOT"]."/inventario/bd.db";
$bd = new SQLite3($path);
$bd->exec("CREATE TABLE IF NOT EXISTS inventario_temporal (terminal_id INTEGER, nombre TEXT, docto_invfis_id INTEGER , posicion TEXT , unidades REAL, seguimiento TEXT );");

  function insertar_temporal($terminal_id,$nombre, $docto_invfis_id, $posicion, $unidades, $seguimiento){
     
    $bd = new SQLite3('../../../bd.db');
    $bd->exec("CREATE TABLE IF NOT EXISTS  inventario_temporal (terminal_id INTEGER, nombre TEXT, docto_invfis_id INTEGER , posicion TEXT , unidades REAL, seguimiento TEXT );");
    $sentencia = $bd->prepare("INSERT INTO inventario_temporal (terminal_id,nombre, docto_invfis_id, posicion, unidades, seguimiento) VALUES (:terminal_id,:nombre,:docto_invfis_id,:posicion,:unidades,:seguimiento);");
    $sentencia->bindValue(':terminal_id', $terminal_id,SQLITE3_INTEGER);
    $sentencia->bindValue(':nombre', $nombre,SQLITE3_TEXT);
    $sentencia->bindValue(':docto_invfis_id', $docto_invfis_id,SQLITE3_INTEGER);
    $sentencia->bindValue(':posicion', $posicion,SQLITE3_TEXT);
    $sentencia->bindValue(':unidades', $unidades,SQLITE3_FLOAT);
    $sentencia->bindValue(':seguimiento', $seguimiento,SQLITE3_TEXT);
    $sentencia->execute();
  }

  function update_temporal($unidades, $posicion, $colectora, $nombre ){
     
    $bd = new SQLite3('../../../bd.db');
    $sentencia = $bd->prepare("UPDATE inventario_temporal SET unidades= :unidades WHERE posicion= :posicion AND terminal_id= :terminal_id AND nombre = :nombre");
    $sentencia->bindValue(':unidades', $unidades,SQLITE3_FLOAT);
    $sentencia->bindValue(':posicion', $posicion,SQLITE3_TEXT);
    $sentencia->bindValue(':terminal_id', $colectora,SQLITE3_INTEGER);
    $sentencia->bindValue(':nombre', $nombre,SQLITE3_TEXT);
    $sentencia->execute();

  }

  function eliminar_invfis($terminal_id){
     $bd = new SQLite3('../../../bd.db');
     $delete_temp = $bd->prepare("DELETE FROM inventario_temporal WHERE terminal_id = :terminal_id");
     $delete_temp->bindValue(':terminal_id',$terminal_id);
     $delete_temp->execute();
  }


?>